=== debian/changelog ===
ifeffit (2:1.2.11d-10.2build2) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 16:33:53 -0400

ifeffit (2:1.2.11d-10.2build1) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 19:55:58 +0000

ifeffit (2:1.2.11d-10.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ gregor herrmann ]
  * Fix "FTBFS with perl 5.26": add unescaped-left-brace.patch to escape
    literal opening curly braces.  (Closes: #869436)

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 24 Jul 2017 14:06:47 +0200

ifeffit (2:1.2.11d-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Sourceful upload for transitions (Closes: #808307).

 -- Stuart Prescott <stuart@debian.org>  Sun, 06 Nov 2016 22:37:37 +1100

ifeffit (2:1.2.11d-10) unstable; urgency=medium

  * Rebuild for latest Perl version
  * Replace CPPFunction by rl_completion_func_t in src/cmdline/iffshell.c
    for readline 6.3 compatibility (Closes: #749353)
  * Set Compatibility level to 9
  * Update to Standards-Version 3.9.6 (no changes)

 -- Carlo Segre <segre@debian.org>  Sat, 10 Jan 2015 18:30:17 -0600

ifeffit (2:1.2.11d-9) unstable; urgency=low

  * Change Build-Depends to libpng-dev instead of libpng12-dev
    (Closes: #662376)
  * Update to Standards-Version 3.9.3 (no changes)

 -- Carlo Segre <segre@debian.org>  Wed, 04 Jul 2012 15:09:00 -0500

ifeffit (2:1.2.11d-8) unstable; urgency=low

  * [Colin Watson <cjwatson@ubuntu.com>]
      Link against -lreadline, not /usr/lib/libreadline.a (Closes: #648839)
  * Change gs-common Build-Dep to ghostcript
  * Build for Perl 5.14

 -- Carlo Segre <segre@debian.org>  Fri, 30 Dec 2011 14:23:35 -0600

ifeffit (2:1.2.11d-7) unstable; urgency=low

  * Rebuild for Perl 5.12 (Closes: #626584, #627748)
  * Transition to dh_python2 (Closes: #616846)
  * Upgrade to Standards-Version 3.9.2 (no changes)
  * Set Compatibility level to 8

 -- Carlo Segre <segre@debian.org>  Sun, 19 Jun 2011 09:58:20 -0500

ifeffit (2:1.2.11d-6) unstable; urgency=low

  * Clean up build rules to minimize the size of diff.gz
  * Switch to dpkg-source 3.0 (quilt) format
  * Rename perl wrapper package to libifeffit-perl (Closes: #575933)

 -- Carlo Segre <segre@debian.org>  Wed, 07 Apr 2010 07:11:10 -0500

ifeffit (2:1.2.11d-5) unstable; urgency=low

  * Incorporate Ubuntu patch for --install-layout=deb in debian/rules

 -- Carlo Segre <segre@debian.org>  Sun, 21 Mar 2010 22:45:03 -0500

ifeffit (2:1.2.11d-4) unstable; urgency=low

  * Remove the \newif\ifpdf definitions in the documentation tree and
    replace with \usepackage{ifpdf} (Closes: #573161)
  * Upgrade to Standards-Version 3.8.4 (no changes)

 -- Carlo Segre <segre@debian.org>  Sun, 21 Mar 2010 12:09:45 -0500

ifeffit (2:1.2.11d-3) unstable; urgency=low

  * Update Standards-Version to 3.8.3 (no changes)
  * Remove libreadline5-dev Build-Dep (Closes: #553785)
  * Clean up all lintian errors:
    - insert Education top category in python-ifeffit.desktop
    - remove dh_desktop invocation in debian/rules
    - add ${misc:Depends} in all binary packages

 -- Carlo Segre <segre@debian.org>  Sun, 01 Nov 2009 20:49:05 -0600

ifeffit (2:1.2.11d-2) unstable; urgency=low

  * Modified src/lib/iff_show.f to solve crashing when certain strings
    are too long.

 -- Carlo Segre <segre@debian.org>  Thu, 05 Mar 2009 01:09:11 -0600

ifeffit (2:1.2.11d-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@debian.org>  Wed, 04 Feb 2009 23:06:50 -0600

ifeffit (2:1.2.11c-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@debian.org>  Mon, 17 Nov 2008 13:37:57 -0600

ifeffit (2:1.2.11b-1) unstable; urgency=low

  * New upstream release
  * Update to Standards-Version 3.8.0 (no changes)

 -- Carlo Segre <segre@debian.org>  Wed, 12 Nov 2008 09:23:20 -0600

ifeffit (2:1.2.10a-5) unstable; urgency=low

  * Rebuild for Perl 5.10 (no changes)

 -- Carlo Segre <segre@debian.org>  Sun, 04 May 2008 14:09:45 -0500

ifeffit (2:1.2.10a-4) unstable; urgency=low

  * Add Build-Dep on texlive-latex-base.
  * Build for python 2.5.

 -- Carlo Segre <segre@debian.org>  Wed, 16 Apr 2008 00:49:23 -0500

ifeffit (2:1.2.10a-3) unstable; urgency=low

  * Recompile to remove runtime error in fortran libraries (symbol lookup error)
  * Put python-ifeffit in Section contrib/python
  * Put perl-ifeffit in Section contrib/perl
  * Upgrade to Standards-Version 3.7.3 (no changes)

 -- Carlo Segre <segre@debian.org>  Sat, 29 Mar 2008 20:50:05 -0500

ifeffit (2:1.2.10a-2) unstable; urgency=low

  * Remove explicit dependence on libc6 which is covered by 
    build-essential.

 -- Carlo Segre <segre@debian.org>  Sun, 23 Sep 2007 23:46:29 -0500

ifeffit (2:1.2.10a-1) unstable; urgency=low

  * New upstream release
  * Insert Homepage: field in debian/control
  * Change to gfortran
  * Versioned Depends: on pgplot5 compiled with -lpng
  * Remove 'readline' source from tarball
  * Bump epoch to 2 because of erroneous release of 1.3.0

 -- Carlo Segre <segre@debian.org>  Thu, 20 Sep 2007 12:03:23 -0500

ifeffit (1:1.3.0-4) unstable; urgency=low

  * Added ifeffit dependency to perl-ifeffit (stupid oversight!)

 -- Carlo Segre <segre@debian.org>  Tue,  2 Jan 2007 00:29:32 -0600

ifeffit (1:1.3.0-3) unstable; urgency=low

  * Added Tag: field for Enrico Zini's testing
  * Modified descriptions for perl-ifeffit and python-ifeffit and
    corrected typo in initial paragraph (Closes: #382613)

 -- Carlo Segre <segre@debian.org>  Sat,  9 Sep 2006 00:43:57 -0500

ifeffit (1:1.3.0-2) unstable; urgency=low

  * Build-Dep on libc-dev for compatibility with all architectures
    (Closes: #386470)

 -- Carlo Segre <segre@debian.org>  Thu,  7 Sep 2006 22:05:31 -0500

ifeffit (1:1.3.0-1) unstable; urgency=low

  * New upstream release

 -- Carlo Segre <segre@debian.org>  Wed,  6 Sep 2006 07:24:28 -0500


