=== debian/control ===
Source: ifeffit
Section: contrib/science
Priority: optional
Maintainer: Carlo Segre <segre@debian.org>
Build-Depends: debhelper (>= 9), binutils, gfortran, ghostscript,
 libreadline-dev, libncurses5-dev, libpng-dev, libx11-dev,
 pgplot5 (>= 5.2.2-11), latex2html, texlive-base, texlive-latex-base, 
 python-all-dev (>= 2.6.6-3~), chrpath
X-Python-Version: >= 2.5
XS-Autobuild: yes
Homepage: http://cars9.uchicago.edu/ifeffit/
Standards-Version: 3.9.6

Package: ifeffit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ifeffit-doc
Description:  Interactive XAFS analysis program
 IFEFFIT is an interactive program for XAFS analysis. It combines the
 high-quality analysis algorithms of AUTOBK and FEFFIT with graphical display
 of XAFS data and general data manipulation.
 .
 IFEFFIT comes as a command-line program, but the underlying functionality is
 available as a programming library. The IFEFFIT library can be used from C,
 Fortran, Tcl, Perl, and Python. This allows a variety of user interfaces
 (both graphical and non-graphical) to be written around IFEFFIT. Currently,
 three graphical user interfaces: G.I.FEFFIT, ATHENA/ARTEMIS, and SIXPACK
 are built on the underlying IFEFFIT library. IFEFFIT and all three GUIs are 
 under active development, but are fairly well tested and ready for use. 

Package: ifeffit-doc
Architecture: all
Section: contrib/doc
Depends: ${misc:Depends}
Suggests: ifeffit
Description: IFEFFIT examples and documentation
 This package contains all the available documentation for IFEFFIT and 
 its component programs.  Example files for EXAFS data analysis are also 
 provided as tutorials.

Package: python-ifeffit
Architecture: any
Section: contrib/python
Depends: ${shlibs:Depends}, ${python:Depends}, python-pmw, python-tk, ifeffit,
         ${misc:Depends}
Conflicts: python2.3-ifeffit (<< 1.2.9)
Replaces: python2.3-ifeffit (<< 1.2.9)
Provides: ${python:Provides}
Description: Python GUI interface and extensions for IFEFFIT
 .
 This package provides the Python extensions and the G.I.FEFFIT (gifeffit)
 front end for IFEFFIT.

Package: libifeffit-perl
Architecture: any
Section: contrib/perl
Provides: perl-ifeffit
Replaces: perl-ifeffit
Conflicts: perl-ifeffit
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: Perl extensions for IFEFFIT
 .
 This package provides an interface to IFEFFIT from Perl.
