=== debian/watch ===
version=2
http://cars9.uchicago.edu/~ifeffit/src/ifeffit-(.*)\.tar\.gz	debian
